/*
 * $Id: misc.h 19 2004-02-22 15:03:15Z tilman $
 *
 * Copyright (C) 2004 Eek project.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __MISC_H
#define __MISC_H

#ifndef MIN
# define MIN(x, y) (x) < (y) ? (x) : (y)
#endif

char *cut_suffix (char *in);

#ifndef HAVE_STRLCPY
size_t strlcpy (char *dst, const char *src, size_t siz);
#endif

bool create_dir (const char *dir);
bool copy_tree (const char *src, const char *dest);

char *strstrip (char *str);
bool is_dir (const char *dir);

#endif
