/*
 * $Id: list.h 2 2004-02-14 21:59:28Z tilman $
 *
 * Copyright (C) 2004 Eek project.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __LIST_H
#define __LIST_H

typedef struct __List {
	struct __List *prev;
	struct __List *next;
	void *data;
} List;

List *list_prepend (List *list, void *data);
List *list_find (List *list, void *data);
List *list_remove (List *list, void *data);

#endif
